package com.philisense.www.service.impl;


import com.philisense.www.dao.EbookArticlePhotosDAO;
import com.philisense.www.service.EbookArticlePhotosService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class EbookArticlePhotosServiceImpl implements EbookArticlePhotosService {

@Autowired
private EbookArticlePhotosDAO ebookArticlePhotosDAO;

@Override
public int deleteByPrimaryKey(String id) {
return ebookArticlePhotosDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return ebookArticlePhotosDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return ebookArticlePhotosDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return ebookArticlePhotosDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return ebookArticlePhotosDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return ebookArticlePhotosDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return ebookArticlePhotosDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return ebookArticlePhotosDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return ebookArticlePhotosDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return ebookArticlePhotosDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
ebookArticlePhotosDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
ebookArticlePhotosDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
ebookArticlePhotosDAO.updateBatch(list);
}
}